=== debian/changelog ===
grafix (1.5-1.1) unstable; urgency=low

  * NMU to fix compile problems with new g++ (closes: #50097)
  * Fixed minor bugs in /usr/doc/grafix/examples/Makefile
    to allow those to compile with new g++ also

 -- Hamish Moffatt <hamish@debian.org>  Sat, 20 Nov 1999 17:08:58 +1100

grafix (1.5-1) unstable; urgency=low

  * New upstream source
    Compiles now with egcs

  * Fixed making of examples
  
 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu,  1 Jul 1999 04:40:15 -0700

grafix (1.4-2) unstable; urgency=low

  * Fixed depends line

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Wed, 22 Jul 1998 18:39:24 -0700

grafix (1.4-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 10 Jul 1998 14:53:28 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "lapeyre@physics.arizona.edu"
End:
