=== debian/control ===
Source: grafix
Section: math
Priority: optional
Maintainer: John Lapeyre <lapeyre@physics.arizona.edu>
Standards-Version: 2.3.0.1

Package: grafix
Architecture: any
Depends: ${shlibs:Depends}
Description: scientific visualization library.
 "Grafix" is a utility originally designed to help scientists in the 
 visualization of results of a computation, e.g. for numerical integrations of 
 partial differential equations. 
 .
 It can be used, however, for any application that wants to use X for 
 drawing pictures, functions or other graphic objects in a convenient 
 interactive manner or even for writing a graphical user interface for any task.
 .
 Grafix should be considered as a layer between an application and the X Window
 system built up of a bunch of basic classes as building elements. 
 The simplest way of using it is to define instances of these classes. 
 For more complicated programs the user has to define own derivations to the
 basic classes.
