=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=grafix

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

curdir=$(shell pwd)

headers = animator.h eventnames.h files.h font-selector.h icon.h \
	lattice.h palette.h smolark.h three-nxnynz.h tree.h tree_icon.h window.h

docs = FAQ.txt HOWTO.txt LOG.txt README.txt TODO.txt

exampbin =  calc class-browser clock-demo cursors dir-tree earth \
         edit-demo file-browser font-browser hello lat-demo \
	lat2demo  mandel one-dim  pal-demo replay scrolled_demo three-dim \
	two-dim win-demo

exampsrc = calc.c calc.icon  class-browser.c files.c dir-tree.c  file-browser.c \
	 mandel.c font-browser.c font-selector.c clock-demo.c mapdata.c \
	three-dim.c pal-demo.c one-dim.c two-dim.c cursors.c hello.c lat-demo.c win-demo.c \
	earth.c	 lat2demo.c edit-demo.c scrolled_demo.c solver.c smolark.c wave.c \
	animator.c replay.c tree.c

build:
	$(checkdir)
	vers=$(version); export vers; export PICFLAG=-fpic; make -e  libgrafix.so
	rm -f *.o
	vers=$(version); export vers; make -e libgrafix.a
	touch build

clean:
	$(checkdir)
	-make clean

	-rm -f build

	-rm -f *.so

	-rm -f `find . -name "*~"`

	-rm -rf debian/tmp `find debian/* -type d ! -name CVS` debian/files* core

	-rm -f debian/*substvars

binary-indep: checkroot build
	$(checkdir)

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/usr/doc/$(package)/examples
	install -d debian/tmp/usr/lib/$(package)
	install -d debian/tmp/usr/include/$(package)
	install -d debian/tmp/usr/man/man1
	install -d debian/tmp/usr/man/man3
	cp $(headers)   debian/tmp/usr/include/$(package)
	chmod 644 debian/tmp/usr/include/$(package)/*
	cp $(docs)  debian/tmp/usr/doc/$(package)
	chmod 644 debian/tmp/usr/doc/$(package)/*
#	cp $(exampbin) debian/tmp/usr/doc/$(package)/examples
	cp  debian/README.examples debian/tmp/usr/doc/$(package)/examples
	cp debian/Makefile.examples debian/tmp/usr/doc/$(package)/examples/Makefile
	cp $(exampsrc) debian/tmp/usr/doc/$(package)/examples
	install -m644 lib$(package).so  debian/tmp/usr/lib/lib$(package).so.$(version)
	cd debian/tmp/usr/lib; ln -s lib$(package).so.$(version) lib$(package).so.1
	cd debian/tmp/usr/lib; ln -s lib$(package).so.1 lib$(package).so
	cp libgrafix.a debian/tmp/usr/lib/
	debstd 
	dpkg-shlibdeps lib$(package).so 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
#	chmod +x debian/tmp/usr/doc/$(package)/examples/*
#	chmod +x debian/tmp/usr/bin/factorint debian/tmp/usr/bin/induce
	dpkg --build debian/tmp ..


define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
